Table of Contents

Class: Maildir | Twisted-0.19.0/twisted/mail/pb.py
--- | ---
Base Classes |
--- | ---
pb.Referenceable
Methods |
--- | ---
__init__ _isSubFolder deleteCurMessage deleteFolderMessage deleteNewMessage getCurMessage | getCurMessages getFolderMessage getNewMessage getNewMessages getSubFolder
| __init__
    __init__ (
            self,
            directory,
            rootDirectory,
            )
| _isSubFolder
    _isSubFolder ( self,  name )
| deleteCurMessage
    deleteCurMessage ( self,  name )
| deleteFolderMessage
    deleteFolderMessage (
            self,
            folder,
            name,
            )
Exceptions |
--- | ---
IOError( "can only delete files in '%s' directory'" % folder )
| deleteNewMessage
    deleteNewMessage ( self,  name )
| getCurMessage
    getCurMessage ( self,  name )
| getCurMessages
    getCurMessages ( self )
| getFolderMessage
    getFolderMessage (
            self,
            folder,
            name,
            )
Exceptions |
--- | ---
IOError( "can only open files in '%s' directory'" % folder )
| getNewMessage
    getNewMessage ( self,  name )
| getNewMessages
    getNewMessages ( self )
| getSubFolder
    getSubFolder ( self,  name )
Exceptions |
--- | ---
IOError( "not a subfolder" ) IOError( "subfolder name cannot begin with a '.'" )

Table of Contents

This document was automatically generated on Sun Jul 14 19:52:48 2002 by HappyDoc version 2.0